cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dba...@apache.org
Subject [2/3] cordova-ubuntu git commit: Fix nodejs deps install which refers to an invalid ubuntu deps check function
Date Thu, 17 Dec 2015 17:59:14 GMT
Fix nodejs deps install which refers to an invalid ubuntu deps check function

github: close #20
(cherry picked from commit 4de08bf483b7bf9f424a2e67477a897485f339ba)


Project: http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/commit/f7d74f2a
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/tree/f7d74f2a
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/diff/f7d74f2a

Branch: refs/heads/4.3.x
Commit: f7d74f2ac796e4dc76241cb97bec0550f58153a0
Parents: cabdd8f
Author: Alexandre Abreu <alexandre.abreu@canonical.com>
Authored: Mon Dec 7 16:30:55 2015 -0500
Committer: David Barth <david.barth@canonical.com>
Committed: Thu Dec 17 18:56:49 2015 +0100

----------------------------------------------------------------------
 RELEASENOTES.md       | 4 +++-
 bin/lib/check_reqs.js | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/blob/f7d74f2a/RELEASENOTES.md
----------------------------------------------------------------------
diff --git a/RELEASENOTES.md b/RELEASENOTES.md
index 5565d43..559a55f 100644
--- a/RELEASENOTES.md
+++ b/RELEASENOTES.md
@@ -22,7 +22,9 @@
 
 ### 4.3.2-pre ###
 
-* change click framework to 15.04 by default (14.10 is deprecated)
+* CB-10119 - change click framework to 15.04 by default (14.10 is deprecated)
+* check_reqs only verifies node dependencies now, not ubuntu build deps which
+  are checked once trying to build
 
 ### 4.3.1 ###
 

http://git-wip-us.apache.org/repos/asf/cordova-ubuntu/blob/f7d74f2a/bin/lib/check_reqs.js
----------------------------------------------------------------------
diff --git a/bin/lib/check_reqs.js b/bin/lib/check_reqs.js
index 9363057..5e30807 100644
--- a/bin/lib/check_reqs.js
+++ b/bin/lib/check_reqs.js
@@ -23,7 +23,7 @@ var exec = require('child_process').exec;
 
 exports.check_reqs = function (callback) {
     if (!checkNodeDependencies()) {
-        installNodeDependencies(checkUbuntuDependencies.bind(null, callback));
+        installNodeDependencies(callback);
     } else {
 	// don't check platform dependencies yet, as they depend on the target
 	// architecture; the base cordova / node / npm install should be


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org


Mime
View raw message